This service will be undergoing non-disruptive maintenance at 07:20 UTC, 2018-12-14. It is expected to last approximately 30 minutes
Bug 228473 - Review Request: hunspell-es - Spanish hunspell dictionaries
Summary: Review Request: hunspell-es - Spanish hunspell dictionaries
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 09:50 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-14 10:28:36 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora-review+
notting: fedora-cvs+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 09:50:38 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-es.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-es-0.20050510-1.src.rpm
Description: Spanish hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-13 13:59:20 UTC
GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
3801efb6d6252e40a743a913afc4f86bb8d3a3ef  es_ES.zip
4cc6bd6f5985d876f6d1bb565051b8131ddb82e4  es_MX.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only text files)
- the license LGPL stated in the tag is the same as the one included in the
source and is included in the package
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- no need for -docs as the only doc are just the LGPL licenses (localised for
Spain and Mexico)
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

PS: You could also add support for es_BZ (Belize), es_CU (Cuba), es_GU (Guatemala)
Please bug upstream to update the corresponding Readme files on
http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/,
over there the license is stated to be GPL and not LGPL as the ones included in
the zip files.

Comment 2 Caolan McNamara 2007-02-13 14:44:39 UTC
Guatemala is es_GT I believe not es_GU and es_GT is one of the aliases already

es_BZ, es_CU and es_GU don't appear in locale -a | grep es_ and they don't
appear in the drop down of spanish languages in openoffice.org's
format->character->font->language 



Comment 3 manuel wolfshant 2007-02-13 15:06:54 UTC
All those I have mentioned are listed as such at
http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/dictionaries/README_es_ES.txt,
under "Los siguientes son disponibles:" (The following are available)

Comment 4 Caolan McNamara 2007-02-13 15:17:16 UTC
Interesting, I'd say the GU is a typo, unless it's an older unofficial locale
replaced with GT. The other ones don't *seem* to be official locales yet, so
aren't in glibc or OOo. I think I'll leave them out, easier to add them later in
than have to pull them for conflicting with a future allocated locale.

Comment 5 Caolan McNamara 2007-02-14 10:28:36 UTC
 27548 (hunspell-es): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.